import request from '@/utils/request'

// 查询企微员工列表
export function staffListUser(query) {
  return request({
    url: '/qw/user/staffList',
    method: 'get',
    params: query
  })
}
// 查询企微员工列表
export function staffListPost(query) {
  return request({
    url: '/qw/user/staffListPost',
    method: 'get',
    data: query
  })
}

// 查询企微用户列表
export function listUser(query) {
  return request({
    url: '/qw/user/list',
    method: 'get',
    params: query
  })
}
// 查询企微用户列表
export function userList(query) {
  return request({
    url: '/qw/user/userList',
    method: 'get',
    params: query
  })
}
export function qwUserList(id) {
  return request({
    url: '/qw/user/qwUserList/' + id,
    method: 'get',
  })
}
export function getQwUserList(query) {
  return request({
    url: '/qw/user/getQwUserList',
    method: 'get',
    params: query
  })
}
export function getMyQwUserList(query) {
  return request({
    url: '/qw/user/getMyQwUserList',
    method: 'get',
    params: query
  })
}
export function getMyQwCompanyList(query) {
  return request({
    url: '/qw/user/getMyQwCompanyListAll',
    method: 'get'
  })
}

export function getMyQwCompanyListAll() {
  return request({
    url: '/qw/user/getMyQwCompanyListAll',
    method: 'get'
  })
}



export function getQwCompanyList() {
  return request({
    url: '/qw/user/getQwCompanyList',
    method: 'get'
  })
}


// 查询企微用户详细
export function getQwUser(id) {
  return request({
    url: '/qw/user/' + id,
    method: 'get'
  })
}
//批量查询企微用户详细
export function getQwUserByIds(ids) {
  return request({
    url: '/qw/user/getInfo/' + ids,
    method: 'get'
  })
}

export function addQwUserName(id) {
  return request({
    url: '/qw/user/syncName/' + id,
    method: 'post',
  })
}

// 新增企微用户
export function addUser(data) {
  return request({
    url: '/qw/user',
    method: 'post',
    data: data
  })
}
export function addQwUser(id) {
  return request({
    url: '/qw/user/sync/' + id,
    method: 'post',
  })
}
// 修改企微用户
export function updateUser(data) {
  return request({
    url: '/qw/user',
    method: 'put',
    data: data
  })
}

// 绑定Ai客服
export function qwUserBindAi(data) {
  return request({
    url: '/qw/user/bindAi',
    method: 'put',
    data: data
  })
}

//解绑AI客服
export function relieveFastGptRoleById(id) {
  return request({
    url: '/qw/user/relieveFastGptRoleById/' + id,
    method: 'get'
  })
}

//绑定企微用户
export function bindQwUser(data) {
  return request({
    url: '/qw/user/bindQwUser',
    method: 'put',
    data: data
  })
}

//修改企微用户的欢迎语管理
export function updateUserWeclome(data) {
  return request({
    url: '/qw/user/weclomeQwUser',
    method: 'post',
    data: data
  })
}



// 删除企微用户
export function delUser(id) {
  return request({
    url: '/qw/user/' + id,
    method: 'delete'
  })
}

// 导出企微用户
export function exportUser(query) {
  return request({
    url: '/qw/user/export',
    method: 'get',
    params: query
  })
}


/**
 * 登录企业微信(发起登录)
 */
export function loginQwCode(data) {
  return request({
    url: '/qw/user/loginQwCode',
    method: 'post',
    data: data
  })
}
/**
 * 取redis里的登录二维码
 */
export function getQwCodeUrl(data) {
  return request({
    url: '/qw/user/getQwCodeUrl',
    method: 'post',
    data: data
  })
}
/**
 * 登录请求-刷新获取二维码
 */
export function loginQwCodeUrl(data) {
  return request({
    url: '/qw/user/loginQwCodeUrl',
    method: 'post',
    data: data
  })
}
/**
 * 登录企业微信(传输验证信息)
 */
export function loginQwCodeMsg(data) {
  return request({
    url: '/qw/user/loginQwCodeMsg',
    method: 'post',
    data: data
  })
}
/**
 * 退出企业微信
 */
export function logoutQwLogout(data) {
  return request({
    url: '/qw/user/logoutQwLogout',
    method: 'post',
    data: data
  })
}

/**
 * 查询登录状态
 */
export function getLoginQwStatus(data) {
  return request({
    url: '/qw/user/getLoginQwStatus',
    method: 'post',
    data: data
  })
}
/**
 * 企业微信员工账号 直接授权key
 */
export function handleAuthAppKey(data) {
  return request({
    url: '/qw/user/authAppKey',
    method: 'post',
    data: data
  })
}

/**
 * 企业微信员工账号 输入的授权key
 */
export function handleInputAuthAppKey(data) {
  return request({
    url: '/qw/user/handleInputAuthAppKey',
    method: 'post',
    data: data
  })
}

/**
* 企业微信员工账号 绑定 云主机
*/
export function qwBindCloudHost(appkey) {
  return request({
    url: '/qw/user/qwBindCloudHost/'+appkey,
    method: 'get',
  })
}
/**
 * 企业微信员工账号 解除绑定 云主机
 */
export function qwUnbindCloudHost(appkey) {
  return request({
    url: '/qw/user/qwUnbindCloudHost/'+appkey,
    method: 'get',
  })
}

/**
 * 获取云主机的账密
 */
export function selectCloudAP(data) {
  return request({
    url: '/qw/user/selectCloudAP',
    method: 'post',
    data: data
  })
}

export function getQwAllUserList(query) {
  return request({
    url: '/qw/user/getQwAllUserList',
    method: 'get',
    params: query
  })
}

export function updateIsAuto(data) {
  return request({
    url: '/qw/user/updateIsAuto',
    method: 'post',
    data: data
  })
}

/**
 * 登录企业微信(发起登录)
 */
export function loginQwIpad(data) {
  return request({
    url: '/qw/user/loginQwIpad',
    method: 'post',
    data: data
  })
}
export function twoCode(data) {
  return request({
    url: '/qw/user/twoCode',
    method: 'post',
    data: data
  })
}
export function twoCodeStatus(data) {
  return request({
    url: '/qw/user/twoCodeStatus',
    method: 'post',
    data: data
  })
}

/**
 * 获取登录状态
 */
export function qrCodeStatus(data) {
  return request({
    url: '/qw/user/qrCodeStatus',
    method: 'post',
    data: data
  })
}

export function updateSendType(data) {
  return request({
    url: '/qw/user/updateSendType',
    method: 'post',
    data: data
  })
}
/**
 * 登录企业微信(发起登录)
 */
export function getQwIpad(data) {
  return request({
    url: '/qw/user/getQwIpad',
    method: 'post',
    data: data
  })
}
export function delQwIpad(data) {
  return request({
    url: '/qw/user/delQwIpad',
    method: 'post',
    data: data
  })
}

export function qrCodeVerify(data) {
  return request({
    url: '/qw/user/qrCodeVerify',
    method: 'post',
    data: data
  })
}

export function outLoginQwIpad(data) {
  return request({
    url: '/qw/user/outLoginQwIpad',
    method: 'post',
    data: data
  })
}

export function changeVideoStatus(id) {
  return request({
    url: '/qw/user/changeVideoStatus',
    method: 'get',
    params: {id}
  })
}


// 分配异地主机
export function handleAllocateRemoteHost(data) {
  return request({
    url: '/qw/user/allocateRemoteHost',
    method: 'post',
    data
  });
}

// 导出企微员工
export function exportStaff(query) {
  return request({
    url: '/qw/user/exportStaff',
    method: 'get',
    params: query
  })
}

/**
 * 修改ai客服上下线
 */
export function updateFastGptRoleStatusById(id) {
  return request({
    url: '/qw/user/updateFastGptRoleStatusById/' + id,
    method: 'get'
  })
}
